commit:     5429cc9de091fc1a89b8334a8e4e5c1887a639ef
Author:     Sergei Trofimovich <slyfox <AT> gentoo <DOT> org>
AuthorDate: Sun Apr 25 09:06:52 2021 +0000
Commit:     Sergei Trofimovich <slyfox <AT> gentoo <DOT> org>
CommitDate: Sun Apr 25 09:06:52 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5429cc9d

dev-scheme/guile-git: bump up to 0.5.1

Package-Manager: Portage-3.0.18, Repoman-3.0.3
Signed-off-by: Sergei Trofimovich <slyfox <AT> gentoo.org>

 dev-scheme/guile-git/Manifest               |  1 +
 dev-scheme/guile-git/guile-git-0.5.1.ebuild | 47 +++++++++++++++++++++++++++++
 2 files changed, 48 insertions(+)

diff --git a/dev-scheme/guile-git/Manifest b/dev-scheme/guile-git/Manifest
index 57e1465d997..4fa311b8452 100644
--- a/dev-scheme/guile-git/Manifest
+++ b/dev-scheme/guile-git/Manifest
@@ -1 +1,2 @@
 DIST guile-git-0.5.0.tar.gz 304072 BLAKE2B 
4f71448d19261fe1dd40fbeafbf9c3a6affbd3ddc16352c2829d28ff3b0253a0017cc40e02fa15eb0141ed9230c1fa2397b46c9076b5e144a629416b937ab1eb
 SHA512 
3ba48ca91208c08ac3a629b0ee97060cc5982c2d823b198cc9ef823a168a434283499a241fc936fa81ba67ee2f5a01db7db563fe0e9d3112da6eb3d77136ee03
+DIST guile-git-0.5.1.tar.gz 305077 BLAKE2B 
f1dd4dade424045f992f9df9fb6c0c6e010deab26d77b32c6a7febda20e03192c91a5ec024bfdf05ea9585c7be307610c1eea6d569a5a97b90d5eedf715e5c59
 SHA512 
b5a07fc3e2a6c8d6277b3a2d6c2d47461e76441573dcf02c046e272853e3d46266adb2025e15f203d590b751def21c026eb55ed66a6f81795c1409ae5d6aa3c2

diff --git a/dev-scheme/guile-git/guile-git-0.5.1.ebuild 
b/dev-scheme/guile-git/guile-git-0.5.1.ebuild
new file mode 100644
index 00000000000..de7b4a6e6e1
--- /dev/null
+++ b/dev-scheme/guile-git/guile-git-0.5.1.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DESCRIPTION="Guile bindings of git"
+HOMEPAGE="https://gitlab.com/guile-git/guile-git";
+SRC_URI="https://gitlab.com/guile-git/guile-git/uploads/4ffd7377b0b74da4051356121b46116f/guile-git-${PV}.tar.gz";
+
+LICENSE="LGPL-3+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+# older libgit seems to be incompatible with guile-git bindings
+# https://github.com/trofi/nix-guix-gentoo/issues/7
+RDEPEND="
+       >=dev-scheme/guile-2.0.11:=
+       dev-scheme/bytestructures
+       >=dev-libs/libgit2-1:=
+"
+DEPEND="${RDEPEND}"
+
+RESTRICT=test # Tets suite needs a fix: 
https://gitlab.com/guile-git/guile-git/issues/18
+
+# guile generates ELF files without use of C or machine code
+# It's a portage's false positive. bug #677600
+QA_FLAGS_IGNORED='.*[.]go'
+
+src_prepare() {
+       default
+
+       # guile is trying to avoid recompilation by checking if file
+       #     /usr/lib64/guile/2.2/site-ccache/<foo>
+       # is newer than
+       #     <foo>
+       # In case it is instead of using <foo> guile
+       # loads system one (from potentially older version of package).
+       # To work it around we bump last modification timestamp of
+       # '*.scm' files.
+       # http://debbugs.gnu.org/cgi/bugreport.cgi?bug=38112
+       find "${S}" -name "*.scm" -exec touch {} + || die
+}
+
+src_test() {
+       emake check VERBOSE=1
+}

Reply via email to